unit Unit1;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls,
  WEBLib.Sentry;

type
  TForm1 = class(TWebForm)
    wbsntry1: TWebSentry;
    wbtn1: TWebButton;
    wedt1: TWebEdit;
    procedure wbtn1Click(Sender: TObject);
    procedure WebFormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure AppException(Sender: TObject; E:Exception);
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.AppException(Sender: TObject; E: Exception);
begin
  console.log(TJSObject(E));
  self.wbsntry1.CaptureException(TJSObject(E), 'test')
end;

procedure TForm1.wbtn1Click(Sender: TObject);
begin
  if(String(wedt1.Text).IsEmpty)then
    begin
      ShowMessage('The DSN is Empty !!!');
      exit;
    end;

  if(wbsntry1.DSN.IsEmpty)then
    begin
      wbsntry1.Enabled := False;
      wbsntry1.DSN := wedt1.Text;
      wbsntry1.Init;
      wbsntry1.Enabled := True;
    end;
  raise Exception.Create('Test');
end;

procedure TForm1.WebFormCreate(Sender: TObject);
begin
  Application.OnException := AppException;
end;

end.